## org.h2.test.trace
Class Player

    java.lang.Object
      org.h2.test.trace.Player

    public class Player

extends java.lang.Object

This tool can re-run Java style log files. There is no size limit.

Constructor Summary
`Player()`

Method Summary
`static void` `execute(java.lang.String fileName, boolean trace)` Execute a trace file.
`static void` `main(java.lang.String... args)` Execute a trace file using the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Player

    public Player()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.io.IOException

  Execute a trace file using the command line. The log file name to execute (replayed) must be specified as the last parameter. The following optional command line parameters are supported:
  - `-log` to enable logging the executed statement to System.out

  Parameters:
    `args` - the arguments of the application
  Throws:
    `java.io.IOException`

### execute

    public static void execute(java.lang.String fileName,
                               boolean trace)
                        throws java.io.IOException

  Execute a trace file.

  Parameters:
    `fileName` - the file name
    `trace` - print debug information
  Throws:
    `java.io.IOException`